> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Wan2.6 Image-to-Video Flash

> - WAN2.6 Flash (wan2.6-image-to-video-flash) model supports first-frame image-to-video generation with faster speed
- Asynchronous processing mode, use the returned task ID to [query status](/en/api-manual/task-management/get-task-detail)
- Generated video links are valid for 24 hours, please save them promptly



## OpenAPI

````yaml /en/api-manual/video-series/wan2.6/wan2.6-image-to-video-flash.json POST /v1/videos/generations
openapi: 3.1.0
info:
  title: wan2.6-image-to-video-flash API
  description: >-
    Generate videos from images using the WAN2.6 Flash model with faster speed
    and simplified model parameter configuration
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: Production Environment
security:
  - bearerAuth: []
paths:
  /v1/videos/generations:
    post:
      tags:
        - Video Generation
      summary: wan2.6-image-to-video-flash API
      description: >-
        - WAN2.6 Flash (wan2.6-image-to-video-flash) model supports first-frame
        image-to-video generation with faster speed

        - Asynchronous processing mode, use the returned task ID to [query
        status](/en/api-manual/task-management/get-task-detail)

        - Generated video links are valid for 24 hours, please save them
        promptly
      operationId: createWan26ImageToVideoFlashGeneration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Wan26ImageToVideoFlashRequest'
            examples:
              image_to_video:
                summary: Image to Video
                value:
                  model: wan2.6-image-to-video-flash
                  prompt: A cat playing piano
      responses:
        '200':
          description: Video task created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoGenerationResponse'
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: Unauthenticated, invalid or expired token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: Insufficient quota, recharge required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: Access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: >-
                    Token does not have access to model:
                    wan2.6-image-to-video-flash
                  type: invalid_request_error
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    Wan26ImageToVideoFlashRequest:
      type: object
      required:
        - model
        - prompt
        - image_urls
      properties:
        model:
          type: string
          description: Model name
          enum:
            - wan2.6-image-to-video-flash
          default: wan2.6-image-to-video-flash
          example: wan2.6-image-to-video-flash
        prompt:
          type: string
          description: Prompt describing the desired video, limited to 1500 characters
          example: A cat playing piano
          maxLength: 1500
        duration:
          type: integer
          description: >-
            Specify the duration of the generated video (seconds)


            **Note:**

            - Supports any integer value between `2~15` seconds

            - Each request will be pre-charged based on the `duration` value,
            actual charges are based on the generated video duration
          minimum: 2
          maximum: 15
          example: 5
        quality:
          type: string
          description: |-
            Video quality, defaults to `720p`

            **Options:**
            - `720p`: Standard quality, standard pricing, this is the default
            - `1080p`: High quality, higher pricing
          example: 720p
        image_urls:
          type: array
          description: >-
            Reference image URL list for first-frame image-to-video generation


            **Note:**

            - Number of images per request: `1` image

            - Image size: not exceeding `10MB`

            - Supported image formats: `.jpeg`, `.jpg`, `.png` (no
            transparency), `.bmp`, `.webp`

            - Image resolution: width and height range `[360, 2000]` pixels

            - Image URL must be directly viewable or downloadable (typically
            URLs ending with image extensions like `.png`, `.jpg`)
          items:
            type: string
            format: uri
          maxItems: 1
          example:
            - https://example.com/image1.png
        prompt_extend:
          type: boolean
          description: >-
            Whether to enable intelligent prompt rewriting. When enabled, uses a
            large model to optimize the prompt, particularly effective for
            simple or insufficiently descriptive prompts. Default is `true`
          example: true
        model_params:
          type: object
          description: Model parameter configuration
          properties:
            shot_type:
              type: string
              description: >-
                Specify the shot type of the generated video, i.e., whether the
                video consists of a single continuous shot or multiple switching
                shots


                **Effective when:**

                - Only takes effect when `prompt_extend` is `true`


                **Parameter priority:**

                - `shot_type` > `prompt`

                - For example, if `shot_type` is set to `single`, even if
                `prompt` contains `generate multi-shot video`, the model will
                still output a single-shot video


                **Options:**

                - `single`: Default, outputs single-shot video

                - `multi`: Outputs multi-shot video


                **Note:**

                - When you want strict control over video narrative structure
                (e.g., single-shot for product demos, multi-shot for story
                shorts), use this parameter
              enum:
                - single
                - multi
              example: single
        audio_url:
          type: string
          description: >-
            Audio file URL, the model will use this audio to generate the video


            **Format requirements:**

            - Supported format: `mp3`

            - Duration range: `3~30` seconds

            - File size: not exceeding `15MB`


            **Overflow handling:**

            - If audio length exceeds `duration` value (5 or 10 seconds),
            automatically truncates to first 5 or 10 seconds, remaining part is
            discarded

            - If audio length is less than video duration, the portion beyond
            audio length will be silent. For example, if audio is 3 seconds and
            video duration is 5 seconds, the output video will have sound for
            the first 3 seconds and be silent for the last 2 seconds
          format: uri
          example: >-
            https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/xxx.mp3
        generate_audio:
          type: boolean
          description: |-
            Whether to generate audio, defaults to `true`

            **Options:**
            - `true`: Generate video with audio, higher pricing
            - `false`: Generate video without audio, lower pricing
          default: true
          example: true
        callback_url:
          type: string
          description: >-
            HTTPS callback URL for task completion


            **Callback timing:**

            - Triggered when task is completed, failed, or cancelled

            - Sent after billing confirmation is complete


            **Security restrictions:**

            - Only HTTPS protocol supported

            - Cannot callback to internal IP addresses (127.0.0.1, 10.x.x.x,
            172.16-31.x.x, 192.168.x.x, etc.)

            - URL length not exceeding `2048` characters


            **Callback mechanism:**

            - Timeout: `10` seconds

            - Maximum `3` retries on failure (retries at `1`/`2`/`4` seconds
            after failure)

            - Callback response format is consistent with task query API
            response

            - Callback URL returning 2xx status code is considered successful,
            other status codes trigger retries
          format: uri
          example: https://your-domain.com/webhooks/video-task-completed
    VideoGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: Task creation timestamp
          example: 1757169743
        id:
          type: string
          description: Task ID
          example: task-unified-1757169743-7cvnl5zw
        model:
          type: string
          description: Actual model name used
          example: wan2.6-image-to-video-flash
        object:
          type: string
          enum:
            - video.generation.task
          description: Specific task type
        progress:
          type: integer
          description: Task progress percentage (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: Task status
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/VideoTaskInfo'
          description: Video task details
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          description: Task output type
          example: video
        usage:
          $ref: '#/components/schemas/Usage'
          description: Usage and billing information
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: Error code identifier
            message:
              type: string
              description: Error description
            type:
              type: string
              description: Error type
    VideoTaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: Whether the task can be cancelled
          example: true
        estimated_time:
          type: integer
          description: Estimated completion time (seconds)
          minimum: 0
          example: 120
    Usage:
      type: object
      description: Usage and billing information
      properties:
        billing_rule:
          type: string
          description: Billing rule
          enum:
            - per_call
            - per_token
            - per_second
          example: per_call
        credits_reserved:
          type: number
          description: Estimated credits consumed
          minimum: 0
          example: 5
        user_group:
          type: string
          description: User group category
          enum:
            - default
            - vip
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        ##All APIs require Bearer Token authentication##


        **Get API Key:**


        Visit [API Key Management Page](https://evolink.ai/dashboard/keys) to
        get your API Key


        **Add to request header:**

        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````